package blah;

import com.github.valb3r.springbatch.adapters.neo4j.EnableSpringBatchNeo4jAdapter;
import org.springframework.batch.core.configuration.annotation.EnableBatchProcessing;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration;
import org.springframework.data.neo4j.repository.config.EnableNeo4jRepositories;

@EnableBatchProcessing
@SpringBootApplication(
  // Spring-Batch includes this by default, disabling them
  exclude = {
    DataSourceAutoConfiguration.class,
    DataSourceTransactionManagerAutoConfiguration.class
  }
)
@EnableSpringBatchNeo4jAdapter
@EnableNeo4jRepositories(
  basePackages = { "blah" }
)
public class BlahApplication {

	public static void main(String[] args) {
		SpringApplication.run(BlahApplication.class, args);
	}

}
